Changelog
=========

## [6.1.1](https://github.com/cksource/umberto/compare/v6.1.0...v6.1.1) (2025-04-17)

### Bug fixes

* Displaying arguments names in callbacks before the types in API docs. ([commit](https://github.com/cksource/umberto/commit/2974f7f34b4549907d233b35bd3b0756d0d1177e))


## [6.1.0](https://github.com/cksource/umberto/compare/v6.0.0...v6.1.0) (2025-04-15)

### Features

* Added the `skipSitemap` (for ignoring generating the sitemap) and `skipThemes` (for skipping preparing assets) flags. ([commit](https://github.com/cksource/umberto/commit/8ec19222e970d2f68ace87a108ead619827124f0))
* Ability to define a theme per project. Closes [#1242](https://github.com/cksource/umberto/issues/1242). ([commit](https://github.com/cksource/umberto/commit/3bec129a57e224f574674543d9224bda55d1e081))
* Use the provided `mainConfig` if available when creating symlinks. ([commit](https://github.com/cksource/umberto/commit/5b61d25ff96cbc0cdce7dc5a218e1ab6ca544189))


## [6.0.0](https://github.com/cksource/umberto/compare/v5.0.2...v6.0.0) (2025-04-01)

### BREAKING CHANGES

* The support for cross-project links in all tags (all variants of the `@link`, `@glink` and `@icon` tags) is now dropped. In case you want to insert a link to another project, use Markdown syntax (`[link text](link target)`) or a regular HTML `<a>` tag.

### Other changes

* Cross-project links in `@link` (and all its variants), `@glink` and `@icon` tags are no longer supported. When detected, error message is printed in the console. Closes [#1243](https://github.com/cksource/umberto/issues/1243). ([commit](https://github.com/cksource/umberto/commit/0929fafee7e770a618496bd1ad43abac280d58c6))


## [5.0.2](https://github.com/cksource/umberto/compare/v5.0.1...v5.0.2) (2025-03-24)

### Bug fixes

* Improve handling CKEditor 5 icons on the API pages. ([commit](https://github.com/cksource/umberto/commit/89f1856de2fcbd99dbdf24d17cdd05b89a08a147))


## [5.0.1](https://github.com/cksource/umberto/compare/v5.0.0...v5.0.1) (2025-03-13)

Internal changes only (updated dependencies, documentation, etc.).


## [5.0.0](https://github.com/cksource/umberto/compare/v4.4.2...v5.0.0) (2025-03-12)

### BREAKING CHANGES

* Upgraded the minimal version of Node.js to 20.0.0 due to the end of LTS.

### Bug fixes

* Fixed links validation parsing URLs from code blocks inside docs. Closes [#1234](https://github.com/cksource/umberto/issues/1234). ([commit](https://github.com/cksource/umberto/commit/c78e5ddba331fe6ad3dabd912458254d1488fdd2))

### Other changes

* Updated the required version of Node.js to 20. ([commit](https://github.com/cksource/umberto/commit/1ad50842b58c1351944ee33ccbd277d5e807bf20))


## [4.4.2](https://github.com/cksource/umberto/compare/v4.4.1...v4.4.2) (2024-11-25)

### Bug fixes

* Fixed code switcher icons which were incorrectly displayed in the docs. ([commit](https://github.com/cksource/umberto/commit/3319526a4461a47f5a96b8de767fb9e3db51d9c4))


## [4.4.1](https://github.com/cksource/umberto/compare/v4.4.0...v4.4.1) (2024-10-30)

### Other changes

* The SASS deprecation warnings are no longer displayed when building the documentation. Closes [#1224](https://github.com/cksource/umberto/issues/1224). ([commit](https://github.com/cksource/umberto/commit/1bcbb5babcf7aa047e8c41d5962ef5dc085fc0fd))
* Remove the _book_ icon from titles (from the `<h1>` element).


## [4.4.0](https://github.com/cksource/umberto/compare/v4.3.0...v4.4.0) (2024-10-02)

### Features

* Added support for loading hooks (`beforeHexo` and `afterHexo`) and `scripts` in ESM format in Umberto. Closes [#1214](https://github.com/cksource/umberto/issues/1214). ([commit](https://github.com/cksource/umberto/commit/2849bef1e59108f863ea0a64314ab980a7f543b6))


## [4.4.0-alpha.1](https://github.com/cksource/umberto/compare/v4.4.0-alpha.0...v4.4.0-alpha.1) (2024-09-24)

Internal changes only (updated dependencies, documentation, etc.).


## [4.4.0-alpha.0](https://github.com/cksource/umberto/compare/v4.3.0...v4.4.0-alpha.0) (2024-09-20)

### Features

* Added support for loading hooks (`beforeHexo` and `afterHexo`) and `scripts` in ESM format in Umberto. Closes [#1214](https://github.com/cksource/umberto/issues/1214). ([commit](https://github.com/cksource/umberto/commit/2849bef1e59108f863ea0a64314ab980a7f543b6))


## [4.3.0](https://github.com/cksource/umberto/compare/v4.2.6...v4.3.0) (2024-09-16)

### Features

* Added code switcher for Self-hosted and Cloud snippets. ([commit](https://github.com/cksource/umberto/commit/a8fc9e470d3b671dc5c960da35c2bdacbe10fb8d))


## [4.2.6](https://github.com/cksource/umberto/compare/v4.2.5...v4.2.6) (2024-08-12)

### Bug fixes

* Fixed the API dropdown lists (the "Properties", "Methods" and "Events" lists) to be rendered on top of the "See source" link. Closes [#1205](https://github.com/cksource/umberto/issues/1205). ([commit](https://github.com/cksource/umberto/commit/7bbb3d5fa4b46a6fe5df5887297e9225241829ba))


## [4.2.5](https://github.com/cksource/umberto/compare/v4.2.4...v4.2.5) (2024-07-25)

### Other changes

* Fixed SASS deprecation warnings when compiling CSS files. Closes [#1200](https://github.com/cksource/umberto/issues/1200). ([commit](https://github.com/cksource/umberto/commit/5aa1aa949670f846dba02d94575a94b56a22179a))


## [4.2.4](https://github.com/cksource/umberto/compare/v4.2.3...v4.2.4) (2024-07-17)

Internal changes only (updated dependencies, documentation, etc.).


## [4.2.3](https://github.com/cksource/umberto/compare/v4.2.2...v4.2.3) (2024-07-10)

### Other changes

* Replaced Goptimize with VWO. Closes [#1196](https://github.com/cksource/umberto/issues/1196). ([commit](https://github.com/cksource/umberto/commit/6390d8a56b74a202ed81d68764a087c3a2d09f0c))


## [4.2.2](https://github.com/cksource/umberto/compare/v4.2.1...v4.2.2) (2024-06-25)

### Other changes

* Changed the feedback callout text content to include info about `42.0.0` release. ([commit](https://github.com/cksource/umberto/commit/e3980a447d030ca2dd19b671ab93c5677e709030))


## [4.2.1](https://github.com/cksource/umberto/compare/v4.2.0...v4.2.1) (2024-04-15)

### Bug fixes

* Used a regular font in `<kbd>` to improve readability. Closes [#1191](https://github.com/cksource/umberto/issues/1191). ([commit](https://github.com/cksource/umberto/commit/720f1d63ddb8f0c93f32566b5a93d24c3d835030))


## [4.2.0](https://github.com/cksource/umberto/compare/v4.1.2...v4.2.0) (2024-02-28)

### Features

* The event structures (typedef) will now include a list of classes that fire an event with the given type. Closes [#1139](https://github.com/cksource/umberto/issues/1139). ([commit](https://github.com/cksource/umberto/commit/0bb26f63d922f1e6164210db2c25a54f83f1d752))

### Bug fixes

* Support for converting nested arrays which are a part of a union structure. Closes [#1189](https://github.com/cksource/umberto/issues/1189). ([commit](https://github.com/cksource/umberto/commit/472250c6cabc6146bc7ebe92b1cd6b47a0329dd7))


## [4.1.2](https://github.com/cksource/umberto/compare/v4.1.1...v4.1.2) (2023-11-13)

### Bug fixes

* Fixed invalid metadata elements generation in case of `permalinkDisableDomains` not being defined in `umberto.json`. ([commit](https://github.com/cksource/umberto/commit/2130f52361c4536ac44f33a15a58d906d63ec599))


## [4.1.1](https://github.com/cksource/umberto/compare/v4.1.0...v4.1.1) (2023-11-10)

### Bug fixes

* Umberto will no longer throw an error if the configuration file does not include the `permalinkDisableDomains` property. ([commit](https://github.com/cksource/umberto/commit/1435ac3c169c55683773e155f19e2c5fd7ebdccb))


## [4.1.0](https://github.com/cksource/umberto/compare/v4.0.1...v4.1.0) (2023-11-10)

### Features

* Umberto config file now allows `permalinkDisableDomains` array that can specify domains for which the perm-link feature should not work. Closes [#1168](https://github.com/cksource/umberto/issues/1168). ([commit](https://github.com/cksource/umberto/commit/f1370bbdb38deae3b99fb4277352bdb84cacf809))

### Bug fixes

* Generate a link (`{@link ...}`) to an existing type's property, resulting in a proper markup instead of displaying an error that the given structure (doclet) could not be found. Closes [#1182](https://github.com/cksource/umberto/issues/1182). ([commit](https://github.com/cksource/umberto/commit/972cb27cd81c6f1c83e1fc7cb42187782a60a58f))


## [4.0.1](https://github.com/cksource/umberto/compare/v4.0.0...v4.0.1) (2023-10-16)

### Bug fixes

* Fixed invalid rendering double braces in code snippets. Closes [#1179](https://github.com/cksource/umberto/issues/1179). ([commit](https://github.com/cksource/umberto/commit/68122163660d9e6a3105ac5361cde05c7d4a8a49))


## [4.0.0](https://github.com/cksource/umberto/compare/v3.2.2...v4.0.0) (2023-10-10)

### BREAKING CHANGES

* Upgraded the minimal versions of Node.js to `18.0.0` due to the end of LTS.

### Bug fixes

* Added support for perm-link feature on API pages. Closes [#1167](https://github.com/cksource/umberto/issues/1167). ([commit](https://github.com/cksource/umberto/commit/20d167082e126541d3f2867ebebcf57b6c3173f8))
* Added the `[title]` attribute to the Table of Content and the navigation menu items. Closes [#1175](https://github.com/cksource/umberto/issues/1175). ([commit](https://github.com/cksource/umberto/commit/8f3c15f96864a4e8320d26fb2b0c00746529e06b))
* Fixed the "See source" button to be clickable when an item does not have a description. Closes [#1172](https://github.com/cksource/umberto/issues/1172). ([commit](https://github.com/cksource/umberto/commit/05b4e3c6893a8d4fdafd5e48c0293a1a50670a35))

### Other changes

* Replaced the hyphen-minus  (`-`) separator with a vertical pipe (`|`) in the generated title of pages. ([commit](https://github.com/cksource/umberto/commit/8bf6a3afb7337d7d816c3a5206eb3088bc1edf29))
* Updated the required version of Node.js to 18. See [ckeditor/ckeditor5#14924](https://github.com/ckeditor/ckeditor5/issues/14924). ([commit](https://github.com/cksource/umberto/commit/c7ee14ee127ae5b497569a687e731c40fa6378ef))


## [3.2.2](https://github.com/cksource/umberto/compare/v3.2.1...v3.2.2) (2023-08-28)

### Bug fixes

* Fixed jumping layout in the secondary (table of content) navigation in a case when a text is just barely fitting a single line. When it gets highlighted and the font geometry changes, and it gets to two lines. Closes [cksource/umberto#1152](https://github.com/cksource/umberto/issues/1152). ([commit](https://github.com/cksource/umberto/commit/102674435ea8f70c321d7c029bf984ddc16f7855))
* HTML tags will no longer render in ToC. Closes [#1157](https://github.com/cksource/umberto/issues/1157). ([commit](https://github.com/cksource/umberto/commit/cc44e61f496bef25f34d8e2d41eca8e849a54924))
* Skip search results from API on the root page in documentation. Closes [#1029](https://github.com/cksource/umberto/issues/1029). ([commit](https://github.com/cksource/umberto/commit/b4f9250a43ff887da6da7f042434aa1542582ea7))

### Other changes

* The Google Analytics `<script>` tag produces output compatible with the latest version (v4). Closes [#1166](https://github.com/cksource/umberto/issues/1166). ([commit](https://github.com/cksource/umberto/commit/0cefecde3ccc12f171580dded361895bfb0b12cd))


## [3.2.1](https://github.com/cksource/umberto/compare/v3.2.0...v3.2.1) (2023-06-21)

Internal changes only (updated dependencies, documentation, etc.).


## [3.2.0](https://github.com/cksource/umberto/compare/v3.1.0...v3.2.0) (2023-06-02)

### Features

* Ability to render categories as folded by default. Closes [#1082](https://github.com/cksource/umberto/issues/1082). ([commit](https://github.com/cksource/umberto/commit/e7b7f33a31577617d76ddb7a4dcd37a05afa651f))
* Added support for rendering computed properties in API docs for the TypeScript code. Closes [#1134](https://github.com/cksource/umberto/issues/1134). ([commit](https://github.com/cksource/umberto/commit/2bdfb41a3064bc857e6f9b10084f0392ea823044))
* The side navigation remembers a user's choices when folding categories and does not open them after switching a page. ([commit](https://github.com/cksource/umberto/commit/e7b7f33a31577617d76ddb7a4dcd37a05afa651f))

### Bug fixes

* Disabled Nunjucks templating language in the Markdown renderer. Closes [ckeditor/ckeditor5#14189](https://github.com/ckeditor/ckeditor5/issues/14189). ([commit](https://github.com/cksource/umberto/commit/451934f5d1959e443457ed6ab5de82fe1e6eb592))
* Fixed position of the API subheader navigation buttons to be on the right side of the page. Closes [#1136](https://github.com/cksource/umberto/issues/1136). ([commit](https://github.com/cksource/umberto/commit/52d06db3b7e0eac5ddc11abd86e01bb8d57e32b4))

### Other changes

* Improved rendering types for the typedefs, so now they are wrapped in the code style and positioned on the right side of the badge. Closes [#1132](https://github.com/cksource/umberto/issues/1132). ([commit](https://github.com/cksource/umberto/commit/52d06db3b7e0eac5ddc11abd86e01bb8d57e32b4))


## [3.1.0](https://github.com/cksource/umberto/compare/v3.0.0...v3.1.0) (2023-04-19)

### Features

* Support generating nested properties from an object argument when preparing API docs from the TypeScript code. Closes [#1129](https://github.com/cksource/umberto/issues/1129). ([commit](https://github.com/cksource/umberto/commit/1171804eee79977059506fe84f59273a3dfe2f15))

### Bug fixes

* Generics extending types will now display their default values. Closes [#1128](https://github.com/cksource/umberto/issues/1128). ([commit](https://github.com/cksource/umberto/commit/e2a289bdc0e1a71f4500c6eab9c5e274dd217ca5))
* Typedoc API pages – restored missing "See source" buttons. Closes [#1131](https://github.com/cksource/umberto/issues/1131). ([commit](https://github.com/cksource/umberto/commit/7fb0697176f789ffecb00f976edb1f4170a8c9e3))


## [3.0.0](https://github.com/cksource/umberto/compare/v2.5.2...v3.0.0) (2023-03-29)

### BREAKING CHANGES

* Upgraded the minimal versions of Node.js to `16.0.0` due to the end of LTS.

### Other changes

* Updated the required version of Node.js to 16. ([commit](https://github.com/cksource/umberto/commit/f131a4feb8f5cdb2d7d725e0e10417622de58ea6))


## [2.5.2](https://github.com/cksource/umberto/compare/v2.5.1...v2.5.2) (2023-03-28)

### Bug fixes

* Updated a regex expression used in the make permalink feature to work on Safari. Closes [#1130](https://github.com/cksource/umberto/issues/1130). ([commit](https://github.com/cksource/umberto/commit/7c30339b952bdd47081ebdd48e9e68ca4ffdbe6e))


## [2.5.1](https://github.com/cksource/umberto/compare/v2.5.0...v2.5.1) (2023-03-27)

### Bug fixes

* Fixed detecting `@internal` visibility when processing accessors. ([commit](https://github.com/cksource/umberto/commit/6ccc6298f34261b313812e3054f632c68819bd4e))
* Umberto should build the main entry file (`/index.html`) without errors, even while building without projects. Closes [#1126](https://github.com/cksource/umberto/issues/1126). ([commit](https://github.com/cksource/umberto/commit/0ceb4bb215c4a44c01b7efa90500471033245140))


## [2.5.0](https://github.com/cksource/umberto/compare/v2.4.0...v2.5.0) (2023-03-23)

### Features

* Pressing the `Y` key will replace the `latest` version in the URL with a permalink to the exact version of the project. Closes [#886](https://github.com/cksource/umberto/issues/886). ([commit](https://github.com/cksource/umberto/commit/d4aa8f8304201cb23d188612219a07abb8095df2))

### Bug fixes

* Changed warning hint color from red to yellow. Closes [#849](https://github.com/cksource/umberto/issues/849). ([commit](https://github.com/cksource/umberto/commit/fe15f1089373784a749b9b7ad8d52aec3db57cf5))
* Fixed incorrectly displayed code block snppets inside info-boxes. Closes [#1046](https://github.com/cksource/umberto/issues/1046). ([commit](https://github.com/cksource/umberto/commit/33e084228f5bf07334f5ab2ac7b4f1a9b6f90320))
* Fixed invalid assignment of a visibility level for methods when generating API pages from TypeScript. ([commit](https://github.com/cksource/umberto/commit/237a549f027737b90d4a7b29283141948e41eb2c))

### Other changes

* Added the "error" style for the info-box elements. ([commit](https://github.com/cksource/umberto/commit/ce9f414d36af4ddbfad725ab13ab911c386fe615))
* The "Copy code" button displayed inside the code snippets is no longer removed on narrow viewports. Closes [#980](https://github.com/cksource/umberto/issues/980). ([commit](https://github.com/cksource/umberto/commit/5e5be7db4c688ac1b43c80d4de233bc4d708153c))


## [2.4.0](https://github.com/cksource/umberto/compare/v2.3.1...v2.4.0) (2023-02-20)

### Features

* Added support for displaying default values from the TypeScript code in API docs by defining them in the `@default` or `@defaultValue` annotations. Closes [#1114](https://github.com/cksource/umberto/issues/1114). ([commit](https://github.com/cksource/umberto/commit/4514b666af5f616101ac222f7ecd77aca609838c))

### Bug fixes

* Default TypeScript constructors will not be displayed on API pages. ([commit](https://github.com/cksource/umberto/commit/f2c3b3e88873a796fe7821b7fce93648b2ed00fa))

### Other changes

* Improved rendering of API links for inherited and derived structures when processing the TypeScript code. Closes [#1109](https://github.com/cksource/umberto/issues/1109). ([commit](https://github.com/cksource/umberto/commit/99b10545947ee49d994a25100791c6f50234c3b6))


## [2.3.1](https://github.com/cksource/umberto/compare/v2.3.0...v2.3.1) (2023-02-08)

### Bug fixes

* Fixed displaying special characters when processing the "@errors" tag. Closes [#1105](https://github.com/cksource/umberto/issues/1105). ([commit](https://github.com/cksource/umberto/commit/8c1db256e61546b8b8044c889f17f9c27fbfefe2))
* Fixed rendering spaces/tabs in the <info-box> elements. ([commit](https://github.com/cksource/umberto/commit/e1236994d51190b6c2257aa5b5a053a7e093a946))
* The highlight mechanism verifies if a node where we want to enable highlighting still exists in DOM. ([commit](https://github.com/cksource/umberto/commit/aa006c8aa10b40cf1ec2747aa6910118d5e8f1d4))
* When processing a TypeScript code from a private package, Umberto should not try to generate the "See source" button in API docs. Closes [#1112](https://github.com/cksource/umberto/issues/1112). ([commit](https://github.com/cksource/umberto/commit/6dd9aa905a0a1ffb56a7daf3461b48371231d687))


## [2.3.0](https://github.com/cksource/umberto/compare/v2.2.0...v2.3.0) (2023-01-17)

### Features

* Support for TypeScript (typedoc) in API pages. Closes [#1055](https://github.com/cksource/umberto/issues/1055), [#1007](https://github.com/cksource/umberto/issues/1007). ([commit](https://github.com/cksource/umberto/commit/01ce7891be7280ad945a11ba724f5152e717df78))


## [2.2.0](https://github.com/cksource/umberto/compare/v2.1.8...v2.2.0) (2022-12-22)

### Features

* Added support for the Google Optimize tool. ([commit](https://github.com/cksource/umberto/commit/06b866d6779edc2453669a45f9ca91468dce6bc5))


## [2.1.8](https://github.com/cksource/umberto/compare/v2.1.7...v2.1.8) (2022-12-07)

### Bug fixes

* Fixed incorrect grammar in the report issue widget. Closes [ckeditor/ckeditor5#12677](https://github.com/ckeditor/ckeditor5/issues/12677). ([commit](https://github.com/cksource/umberto/commit/bb6e081515374bb4e8719d0f0f4b357b287957b5))
* Improved display of items in API docs. Closes [#1022](https://github.com/cksource/umberto/issues/1022). ([commit](https://github.com/cksource/umberto/commit/dfff3d1ec70eefda6be9f15be40a843ab3236847))
* The `getProjectConfig()` function does not add an asterisk when resolving paths specified in the "packagesDir" array in the configuration file. Closes [#1096](https://github.com/cksource/umberto/issues/1096). ([commit](https://github.com/cksource/umberto/commit/68900924bf91133fa78af83ffaca9d8432662ef2))


## [2.1.7](https://github.com/cksource/umberto/compare/v2.1.6...v2.1.7) (2022-09-19)

### Bug fixes

* Restored missing "See source" links in API docs. Closes [#1005](https://github.com/cksource/umberto/issues/1005). ([commit](https://github.com/cksource/umberto/commit/9abedf511f982483c01da0278dcfc19f05de5f4c))


## [2.1.6](https://github.com/cksource/umberto/compare/v2.1.5...v2.1.6) (2022-09-02)

### Other changes

* Disable auto converting URL-like text to links. Closes [#999](https://github.com/cksource/umberto/issues/999). ([commit](https://github.com/cksource/umberto/commit/30f1fc252cb6a253b6c6c64473c55805adfff22b))
* Redesigned the layout of API pages. Starting from this release, the toggleable elements (class names, functions, error codes, etc.) do not contain the excerpt element. Instead, the full description is hidden. You must click the title to toggle full details to read their details. Closes [#994](https://github.com/cksource/umberto/issues/994). ([commit](https://github.com/cksource/umberto/commit/761bcee38a6dd01ab963ad3b240b45d14f2a2aa6))


## [2.1.5](https://github.com/cksource/umberto/compare/v2.1.4...v2.1.5) (2022-07-29)

### Bug fixes

* When adding a link to the top-level landing page in the side navigation, find a page from the same project. ([commit](https://github.com/cksource/umberto/commit/b1193179fec0b75df09dc3a7d4770b4a44500b69))


## [2.1.5](https://github.com/cksource/umberto/compare/v2.1.4...v2.1.5) (2022-07-29)

### Bug fixes

* When adding a link to the top-level landing page in the side navigation, find a page from the same project. ([commit](https://github.com/cksource/umberto/commit/b1193179fec0b75df09dc3a7d4770b4a44500b69))


## [2.1.4](https://github.com/cksource/umberto/compare/v2.1.3...v2.1.4) (2022-07-28)

### Bug fixes

* The report issue widget is always rendered at the bottom of each page (including API pages). Closes [#990](https://github.com/cksource/umberto/issues/990). ([commit](https://github.com/cksource/umberto/commit/a6e0cfdf8e74a4d45c0b765d5e72659396e6e9b6))

### Other changes

* Added an option for adding a link to a landing page for a top-level category in the navigation tree. Closes [#996](https://github.com/cksource/umberto/issues/996). ([commit](https://github.com/cksource/umberto/commit/356e39fb74cc17d669e7c42c8cec94b3ae167864))


## [2.1.3](https://github.com/cksource/umberto/compare/v2.1.2...v2.1.3) (2022-05-25)

### Other changes

* Added project version to the "Report issue" widget. ([commit](https://github.com/cksource/umberto/commit/817f585442dcdbf62d5870b234af37d01dd7aa38))


## [2.1.2](https://github.com/cksource/umberto/compare/v2.1.1...v2.1.2) (2022-05-24)

### Bug fixes

* The search box on landing pages should filter a project too. ([commit](https://github.com/cksource/umberto/commit/c6fecfeba5341ee8f9537032fd51b5d37c2f0270))


## [2.1.1](https://github.com/cksource/umberto/compare/v2.1.0...v2.1.1) (2022-05-19)

### Bug fixes

* Algolia should filter out records that do not belong to a project where a user acts with the search box. Closes [#987](https://github.com/cksource/umberto/issues/987). ([commit](https://github.com/cksource/umberto/commit/2c67eb76a211a8060e81cd75958473b03552c64a))


## [2.1.0](https://github.com/cksource/umberto/compare/v2.0.2...v2.1.0) (2022-05-13)

### Features

* Introduced the "Report issue" widget, which, if enabled, adds a container at the bottom of each page in the documentation that allows reporting an issue regarding the current page. ([commit](https://github.com/cksource/umberto/commit/70c4caa4ff6e345584963154db91394423761fba))

### Other changes

* Upgraded the "@ckeditor/jsdoc-plugins" package to the latest version. ([commit](https://github.com/cksource/umberto/commit/d61c9d2da7ec135b0385d51b008bac2bded00913))


## [2.0.2](https://github.com/cksource/umberto/compare/v2.0.1...v2.0.2) (2022-05-12)

### Bug fixes

* A query provided by a user in the search box should be escaped to avoid errors when creating an instance of the `RegExp` class. Closes [#984](https://github.com/cksource/umberto/issues/984). ([commit](https://github.com/cksource/umberto/commit/4e783475d2ea09382da6fa104c6d932cb6ffa479))


## [2.0.1](https://github.com/cksource/umberto/compare/v2.0.0...v2.0.1) (2022-05-12)

### Bug fixes

* Umberto should not apply additional filters when a user sends a request to Algolia when using the search field. ([commit](https://github.com/cksource/umberto/commit/ea18f9aa2b9acd9e05ee2b2cded30ae28c48c7f1))

### Other changes

* Enabled the code highlighting for python snippets. Closes [#981](https://github.com/cksource/umberto/issues/981). ([commit](https://github.com/cksource/umberto/commit/061428e2b75056126e0605ce9e3fdcb7f65cc86e))


## [2.0.0](https://github.com/cksource/umberto/compare/v1.18.0...v2.0.0) (2022-03-10)

### BREAKING CHANGES

* Upgraded the minimal versions of Node.js to `14.0.0` due to the end of LTS.

### Bug fixes

* Fixed missing arrows for toggling properties description visibility in API docs. Closes [#972](https://github.com/cksource/umberto/issues/972). ([commit](https://github.com/cksource/umberto/commit/594517fd78974ff83a531b219f639f8f1aaa9edd))
* Hidden flashing API list items behind a loading spinner. Closes [#970](https://github.com/cksource/umberto/issues/970). ([commit](https://github.com/cksource/umberto/commit/2783b8197af4d9f071a3fe9e544a076d93c5ddc2))

### Other changes

* Updated the required version of Node.js to 14. See [ckeditor/ckeditor5#10972](https://github.com/ckeditor/ckeditor5/issues/10972). ([commit](https://github.com/cksource/umberto/commit/425c7ac6d4ca051426294ec7bf0402b97a06eaf4))


## [1.18.0](https://github.com/cksource/umberto/compare/v1.17.0...v1.18.0) (2021-12-08)

### Features

* Added the option to limit the depth of "Table of contents". Closes [#801](https://github.com/cksource/umberto/issues/801). ([commit](https://github.com/cksource/umberto/commit/3c827acce7b87660c49ff282aa359d025255d925))

### Other changes

* Migrated from the `node-sass` package to `sass` due to deprecation. Read more: https://sass-lang.com/blog/libsass-is-deprecated. Closes [#965](https://github.com/cksource/umberto/issues/965). ([commit](https://github.com/cksource/umberto/commit/119563baa7fed9d9e2f7e76c50cf1f4e0e13766c))
* Migration to webpack 5. Closes [#955](https://github.com/cksource/umberto/issues/955). ([commit](https://github.com/cksource/umberto/commit/d7342e49b34f96c85efc266e9e99b924aa329b01))


## [1.17.0](https://github.com/cksource/umberto/compare/v1.16.0...v1.17.0) (2021-11-16)

### Features

* Made it possible to use the "Premium" badge in the guide content. Closes [#962](https://github.com/cksource/umberto/issues/962). ([commit](https://github.com/cksource/umberto/commit/1e096fd156c8d7ef85f212f654e61dcca9bce44b))

### Other changes

* Added the `<meta>` tag called `[name="x-generated-at"]` that contains the date of generation particular page. Closes [#958](https://github.com/cksource/umberto/issues/958). ([commit](https://github.com/cksource/umberto/commit/64a9dcd0acff412d0b00baf4afbbca196421100b))


## [1.16.0](https://github.com/cksource/umberto/compare/v1.15.0...v1.16.0) (2021-10-25)

### Features

* Introduced tooltips for badges in the navigation. Closes [#954](https://github.com/cksource/umberto/issues/954). ([commit](https://github.com/cksource/umberto/commit/917ec5303bf9df6ae6e25d106d9a9066ce2bb606))


## [1.15.0](https://github.com/cksource/umberto/compare/v1.14.0...v1.15.0) (2021-10-18)

### Features

* Introduced support for configurable badges in the navigation tree. ([commit](https://github.com/cksource/umberto/commit/fb71da3f8187f81baddf76e61a750f4fa76b0ef0))

### Other changes

* When building partial docs (using the `--guides` or `--skip-guides` options), links will now be included whenever possible. Closes [#952](https://github.com/cksource/umberto/issues/952). ([commit](https://github.com/cksource/umberto/commit/fc873075d11036d79b744f73a02c8ec05d457aec))


## [1.14.0](https://github.com/cksource/umberto/compare/v1.13.0...v1.14.0) (2021-09-21)

### Features

* Ability for filtering which guides should be processed by Umberto. Closes [#946](https://github.com/cksource/umberto/issues/946). ([commit](https://github.com/cksource/umberto/commit/e31caf8ee748d183c13c36cf231f105c817e4245))


## [1.13.0](https://github.com/cksource/umberto/compare/v1.12.1...v1.13.0) (2021-08-24)

### Features

* Added support for the [`@callback`](https://jsdoc.app/tags-callback.html) tag in API docs. Closes [#789](https://github.com/cksource/umberto/issues/789), [#762](https://github.com/cksource/umberto/issues/762). ([commit](https://github.com/cksource/umberto/commit/f8eccf7063162716f2b12c474079bc0a1bb30b80))


## [1.12.1](https://github.com/cksource/umberto/compare/v1.12.0...v1.12.1) (2021-08-13)

### Bug fixes

* The polyfill scripts must be loaded before other scripts in the `app.js` file produced by webpack. ([commit](https://github.com/cksource/umberto/commit/c074c26ad685c8513cf96f8ee52be320d3906ae7))


## [1.12.0](https://github.com/cksource/umberto/compare/v1.11.0...v1.12.0) (2021-08-13)

### Features

* Added support for executing custom callbacks while the process of building the documentation is in progress. Closes [#938](https://github.com/cksource/umberto/issues/938). ([commit](https://github.com/cksource/umberto/commit/ff3f8ccae31f245c71a295413d801c0e2c531c4a))

  Currently, two hooks are supported:

  * `beforeHexo` - called before Hexo starts processing the documentation,
  * `afterHexo` - called when Hexo finished building the documentation.

  To use the new option, add the `hooks` object with the following properties (as an array with paths to the callbacks to execute) to the configuration file.
* All code snippets contain an icon that allows copying the content of the snippet. Closes [#756](https://github.com/cksource/umberto/issues/756). ([commit](https://github.com/cksource/umberto/commit/c17d91f75cfbbeb4305e5925de27f851f39e1bd5))
* Implemented the `extraScripts` option that allows executing additional scripts per project. Closes [#942](https://github.com/cksource/umberto/issues/942). ([commit](https://github.com/cksource/umberto/commit/31f76a6ca429e89772c3fad8363104398c9c9c65))
* Implemented the warning banner feature available under `window.umberto.showWarningBanner( message )`. Closes [#940](https://github.com/cksource/umberto/issues/940). ([commit](https://github.com/cksource/umberto/commit/31f76a6ca429e89772c3fad8363104398c9c9c65))

### Other changes

* Added a polyfill for the `Element#closest()` method. ([commit](https://github.com/cksource/umberto/commit/31f76a6ca429e89772c3fad8363104398c9c9c65))
* Removed the `app-polyfill.js` script produced by Umberto. Now, the polyfill is included in the main `app.js` file. ([commit](https://github.com/cksource/umberto/commit/31f76a6ca429e89772c3fad8363104398c9c9c65))
* Renamed internal util from `./src/tasks/get-extra-styles.js` to `./src/tasks/get-extra-files.js`. ([commit](https://github.com/cksource/umberto/commit/31f76a6ca429e89772c3fad8363104398c9c9c65))
* Replaced text labels in SDK code samples with icons. ([commit](https://github.com/cksource/umberto/commit/c17d91f75cfbbeb4305e5925de27f851f39e1bd5))
* The main script file (`app.js`) is now placed at the end of the document, before the closing `</body>` tag. ([commit](https://github.com/cksource/umberto/commit/31f76a6ca429e89772c3fad8363104398c9c9c65))


## [1.11.0](https://github.com/cksource/umberto/compare/v1.10.1...v1.11.0) (2021-08-04)

### Features

* Added support for `{@exec path/to/function.js}` expression, that allows executing and inserting a value returned by a function specified in the `path/to/function.js` module directly from a single guide page. Closes [#930](https://github.com/cksource/umberto/issues/930). ([commit](https://github.com/cksource/umberto/commit/585b95d954a190f862e2bf0f03aff3d4a613c55f))

### Bug fixes

* Fixed error message in insertchangelog.js not being a template literal. Closes [#932](https://github.com/cksource/umberto/issues/932). ([commit](https://github.com/cksource/umberto/commit/d7ee4799b46da9b7d4d4719a0048dbb3d1c0871e))

### Other changes

* Used a badge instead of the 🆕 emoji in the sidebar tree. Closes [#935](https://github.com/cksource/umberto/issues/935). ([commit](https://github.com/cksource/umberto/commit/e274e7a0569b8b705700a9cb3aa479b9a562107a))


## [1.10.1](https://github.com/cksource/umberto/compare/v1.10.0...v1.10.1) (2021-07-13)

### Bug fixes

* When processing a page without a project assignment, the `insertChangelog()` function should not throw an error. Closes [#931](https://github.com/cksource/umberto/issues/931). ([commit](https://github.com/cksource/umberto/commit/e66fee9930d745e767ff915e845ca2509bcb35b1))


## [1.10.0](https://github.com/cksource/umberto/compare/v1.9.1...v1.10.0) (2021-07-13)

### Features

* Allow inserting a changelog into a guide by typing an expression: `{@changelog X.Y.Z}`. `X.Y.Z` must follow the [Semantic Versioning](https://semver.org/) specification. A project configuration must contain a path as `scripts.insert-changelog` to a module responsible for delivering changes. The callback must be a synchronous function. ([commit](https://github.com/cksource/umberto/commit/d8a3ea720fc7667efa9c4229778ed29850ea6b82))


## [1.9.1](https://github.com/cksource/umberto/compare/v1.9.0...v1.9.1) (2021-06-29)

### Bug fixes

* Fixed invalid CSS definition for the `.editor-icon__image` selector. Closes [#922](https://github.com/cksource/umberto/issues/922). ([commit](https://github.com/cksource/umberto/commit/9b854e0fdb9fbb4b467e3c9dcb64b26581974ae6))


## [1.9.0](https://github.com/cksource/umberto/compare/v1.8.1...v1.9.0) (2021-06-24)

### Features

* Allow inserting images, e.g. icons from an editor's toolbar by using `{@icon [@projectName] [npm path]}` expression. Closes [#915](https://github.com/cksource/umberto/issues/915). ([commit](https://github.com/cksource/umberto/commit/2b7c335cdb31399c2a3202a5bc60bd6e79133404))

### Bug fixes

* Links to projects should be rendered if they point to project from they come. Closes [#914](https://github.com/cksource/umberto/issues/914). ([commit](https://github.com/cksource/umberto/commit/387991cb2864566508870d61d7a3f801012767b1))

### Other changes

* Shortened the update indicator display time from 90 to 60 days. Closes [#916](https://github.com/cksource/umberto/issues/916). ([commit](https://github.com/cksource/umberto/commit/3794aaca153c82d3e5db252ebd3868c720be4d4d))


## [1.8.1](https://github.com/cksource/umberto/compare/v1.8.0...v1.8.1) (2021-06-10)

### Bug fixes

* Added more languages (`Java`, `C#`, `Nginx`) to Prism.js. As a result, strings in the YAML snippets will be green (`#a6e22e`). Closes [#912](https://github.com/cksource/umberto/issues/912). ([commit](https://github.com/cksource/umberto/commit/90b6346bcaa72bbfede0435b270ec0d1d0e9371c))


## [1.8.0](https://github.com/cksource/umberto/compare/v1.7.2...v1.8.0) (2021-06-08)

### Features

* Replaced Highlight.js with the Prism.js library for the code highlighting. Closes [#606](https://github.com/cksource/umberto/issues/606), [#167](https://github.com/cksource/umberto/issues/167). ([commit](https://github.com/cksource/umberto/commit/544a854b8840c3c7405ad9fe32215826892718f8))


## [1.7.2](https://github.com/cksource/umberto/compare/v1.7.1...v1.7.2) (2021-05-25)

### Bug fixes

* The "validate-links.js" module that checks whether generated links are correct will resolve paths to files correctly. Closes [#909](https://github.com/cksource/umberto/issues/909). ([commit](https://github.com/cksource/umberto/commit/8c0a2e7550d1b3073ddc8df563e3b7e2662fe60d))

  Before the patch, the resolved path might have been invalid. It could happen if the absolute URL to the resource started with a directory that was also present in the destination directory (where the documentation was saved):

  * An absolute path where the documentation was generated: `/home/docs/build/docs`
  * An absolute URL from a guide: `/docs/ckeditor5/27.1.0/file.html`
  * Resolved path before the fix: `/home/build/docs/docs/ckeditor5/27.1.0/file.html`
  * And after the fix: `/home/docs/build/docs/ckeditor5/27.1.0/file.html`


## [1.7.1](https://github.com/cksource/umberto/compare/v1.7.0...v1.7.1) (2021-05-10)

Internal changes only (updated dependencies, documentation, etc.).


## [1.7.0](https://github.com/cksource/umberto/compare/v1.6.6...v1.7.0) (2021-05-10)

### Features

* Introduced a new indicator (🆕) in the project navigation informing users about new changes in a guide. To add the indicator, add the `modified_at` tag in the guide metadata. The date should follow the format `YYYY-MM-DD`. Starting from the date, the indicator will be visible over 90 days. Closes [#882](https://github.com/cksource/umberto/issues/882). ([commit](https://github.com/cksource/umberto/commit/90980392c6a1a4e107f797b72615e52b570cf53b))


## [1.6.6](https://github.com/cksource/umberto/compare/v1.6.5...v1.6.6) (2021-03-12)

### Bug fixes

* Made sure only those headers in guides that have IDs/anchors get position: relative to avoid collisions with editor features. Closes [#899](https://github.com/cksource/umberto/issues/899). ([commit](https://github.com/cksource/umberto/commit/d816a78cbe2194b14c32510ca4669f273c57655b))


## [1.6.5](https://github.com/cksource/umberto/compare/v1.6.4...v1.6.5) (2021-03-08)

### Bug fixes

* Loose the regexp for extracting a URL while preparing the sitemap. Closes [#897](https://github.com/cksource/umberto/issues/897). ([commit](https://github.com/cksource/umberto/commit/7dcde271d7beaf4ddd71f77e29b0376e45543629))


## [1.6.4](https://github.com/cksource/umberto/compare/v1.6.3...v1.6.4) (2021-01-27)

### Other changes

* Links to the "ckeditor.com" domain should not use the `target="_blank"` attribute. Closes [#879](https://github.com/cksource/umberto/issues/879). ([commit](https://github.com/cksource/umberto/commit/72c98327c8e3bdcf3a5502e1fb306490e54e27d8))


## [1.6.3](https://github.com/cksource/umberto/compare/v1.6.2...v1.6.3) (2020-12-01)

### Other changes

* Upgraded the version of the `Highlight.js` library. Closes [#887](https://github.com/cksource/umberto/issues/887). ([commit](https://github.com/cksource/umberto/commit/bead5824340602af1ee7efc588539832e7c54ef7))


## [1.6.2](https://github.com/cksource/umberto/compare/v1.6.1...v1.6.2) (2020-11-16)

### Bug fixes

* Assets (relative) paths inside snippets in SDK should be generated properly. Closes [#881](https://github.com/cksource/umberto/issues/881). ([commit](https://github.com/cksource/umberto/commit/69d45b2c4a6f3b05113a24006414645748642c7b))


## [1.6.1](https://github.com/cksource/umberto/compare/v1.6.0...v1.6.1) (2020-11-09)

### Bug fixes

* The documentation builder should work on Windows environments. Closes [#555](https://github.com/cksource/umberto/issues/555). ([commit](https://github.com/cksource/umberto/commit/c99caeef76f49f8789c1bc0687d5bc8297b4a67a))


## [1.6.0](https://github.com/cksource/umberto/compare/v1.5.4...v1.6.0) (2020-09-01)

### Features

* Ability to hide the `See source` link in the API docs when used the `@skipsource` annotation. Closes [#864](https://github.com/cksource/umberto/issues/864). ([commit](https://github.com/cksource/umberto/commit/52278db828eea628c1bdae70e46db493a30802e2))


## [1.5.4](https://github.com/cksource/umberto/compare/v1.5.3...v1.5.4) (2020-08-20)

### Other changes

* Do not copy "docs/constants.js" file while preparing the documentation structure. ([commit](https://github.com/cksource/umberto/commit/037efa02f53cfb4a270f3c630b62e48461f4ece8))


## [1.5.3](https://github.com/cksource/umberto/compare/v1.5.2...v1.5.3) (2020-08-20)

### Other changes

* The Snippet object will contain an absolute path to the source (`*.md`) file that uses the `{@snippet ...}` tags. ([commit](https://github.com/cksource/umberto/commit/ad14c5a364c347aa73713ed3743fb13c9e8692d5))


## [1.5.2](https://github.com/cksource/umberto/compare/v1.5.1...v1.5.2) (2020-07-21)

### Bug fixes

* Fixed links for internal module functions. Part of [ckeditor/ckeditor5#7575](https://github.com/ckeditor/ckeditor5/issues/7575). ([commit](https://github.com/cksource/umberto/commit/29c5ab10365a7c1a518bae0dfa50c9b4e81d3389))


## [1.5.1](https://github.com/cksource/umberto/compare/v1.5.0...v1.5.1) (2020-07-21)

### Bug fixes

* URLs to method and event names should be escaped. E.g. curly braces in the following name: `set:{property}` should be escaped and looks like: `set:%7Bproperty%7D`.  Closes [ckeditor/ckeditor5#7653](https://github.com/ckeditor/ckeditor5/issues/7653). ([commit](https://github.com/cksource/umberto/commit/f4b250468d155df7500aa8835a956d907cc880c0))


## [1.5.0](https://github.com/cksource/umberto/compare/v1.4.1...v1.5.0) (2020-07-13)

### Other changes

* Upgraded dependencies and aligned the code to the changes in dependencies. The documentation should be built properly on Node 14. Closes [ckeditor/ckeditor5#7365](https://github.com/ckeditor/ckeditor5/issues/7365). ([commit](https://github.com/cksource/umberto/commit/5834007bd377f26cfe11e0d602ede127b976a287))


## [1.4.1](https://github.com/cksource/umberto/compare/v1.4.0...v1.4.1) (2020-06-22)

### Bug fixes

* Removed "process.exit()" that was called if validation passes without any error. Closes [#867](https://github.com/cksource/umberto/issues/867). ([7038feb](https://github.com/cksource/umberto/commit/7038feb))


## [1.4.0](https://github.com/cksource/umberto/compare/v1.3.2...v1.4.0) (2020-06-19)

### Features

* Added the `--strict` flag to fail docs build if there are warnings in the API docs. Closes [#865](https://github.com/cksource/umberto/issues/865). ([7baf236](https://github.com/cksource/umberto/commit/7baf236))


## [1.3.2](https://github.com/cksource/umberto/compare/v1.3.1...v1.3.2) (2020-05-26)

### Bug fixes

* Fixed invalid HTML markup in navigation tree. Closes [#780](https://github.com/cksource/umberto/issues/780). ([2e55f85](https://github.com/cksource/umberto/commit/2e55f85))
* Fixed invalid links in the API navigation tree. Main packages items were not generated as links if they came outside `ckeditor5` repository or didn't start with the `ckeditor5-` prefix. Closes [#821](https://github.com/cksource/umberto/issues/821). ([70aa3c1](https://github.com/cksource/umberto/commit/70aa3c1))

### Other changes

* The "See source" button on API docs won't be displayed for private `ckeditor5` packages. ([c4e8041](https://github.com/cksource/umberto/commit/c4e8041))


## [1.3.1](https://github.com/cksource/umberto/compare/v1.3.0...v1.3.1) (2020-05-25)

### Bug fixes

* Fixed invalid contribute URLs in the mono repository project. Closes [#860](https://github.com/cksource/umberto/issues/860). ([481830b](https://github.com/cksource/umberto/commit/481830b))


## [1.3.0](https://github.com/cksource/umberto/compare/v1.2.4...v1.3.0) (2020-05-14)

### Features

* Allowed umberto to check multiple packages directories. See [ckeditor/ckeditor5#6787](https://github.com/ckeditor/ckeditor5/issues/6787). ([18ff868](https://github.com/cksource/umberto/commit/18ff868))


## [1.2.4](https://github.com/cksource/umberto/compare/v1.2.3...v1.2.4) (2020-04-16)

### Other changes

* Locked the version of jQuery due to a breaking change in the minor version. Closes [#857](https://github.com/cksource/umberto/issues/857). ([53fa218](https://github.com/cksource/umberto/commit/53fa218))


## [1.2.3](https://github.com/cksource/umberto/compare/v1.2.2...v1.2.3) (2020-03-17)

### Bug fixes

* Replace `<` and `>` with HTML entities in the title section. Closes [#853](https://github.com/cksource/umberto/issues/853). ([bd72b50](https://github.com/cksource/umberto/commit/bd72b50))


## [1.2.2](https://github.com/cksource/umberto/compare/v1.2.1...v1.2.2) (2020-02-26)

### Bug fixes

* Disabled server-side rendering of snippets since their syntax is being modified and they are no longer valid. Closes [#850](https://github.com/cksource/umberto/issues/850). Closes [#823](https://github.com/cksource/umberto/issues/823). ([26185ec](https://github.com/cksource/umberto/commit/26185ec))


## [1.2.1](https://github.com/cksource/umberto/compare/v1.2.0...v1.2.1) (2020-01-16)

### Bug fixes

* Extended style definitions to cover all CKFinder connectors. Closes [#836](https://github.com/cksource/umberto/issues/836). ([1184075](https://github.com/cksource/umberto/commit/1184075))
* Formatted styles should not apply to `<code>` inside `<pre>`. Closes [#841](https://github.com/cksource/umberto/issues/841). ([b8c9196](https://github.com/cksource/umberto/commit/b8c9196))
* Invalid canonical URLs for ckeditor4 examples pages. Closes [#833](https://github.com/cksource/umberto/issues/833). ([880da38](https://github.com/cksource/umberto/commit/880da38))

### Other changes

* Changed monospace font stack in order to unify the design of the menu across all browsers. Closes [#843](https://github.com/cksource/umberto/issues/843). ([f3204c3](https://github.com/cksource/umberto/commit/f3204c3))


## [1.2.0](https://github.com/cksource/umberto/compare/v1.1.3...v1.2.0) (2019-11-19)

### Features

* Introduced support for highlighting snippets wrote in Gradle. Closes [#834](https://github.com/cksource/umberto/issues/834). ([a67e507](https://github.com/cksource/umberto/commit/a67e507))

### Bug fixes

* Code snippets inside `.ck-content` (editor content) should not be auto–highlighted by hljs. Closes [#838](https://github.com/cksource/umberto/issues/838). ([94128df](https://github.com/cksource/umberto/commit/94128df))
* The title of a page in a menu is now sorted correctly if the `menu-title` option was provided. Closes [#831](https://github.com/cksource/umberto/issues/831). ([aa8c442](https://github.com/cksource/umberto/commit/aa8c442))


## [1.1.3](https://github.com/cksource/umberto/compare/v1.1.2...v1.1.3) (2019-10-07)

### Bug fixes

* "Contribute URL" and "Issue URL" don't update their enndings. Closes [#773](https://github.com/cksource/umberto/issues/773). ([a356fdf](https://github.com/cksource/umberto/commit/a356fdf))
* The "See source" link was not provided for the `ckeditor4-docs` repository when `ckeditor4` name was used. Closes [#826](https://github.com/cksource/umberto/issues/826). ([fcefc18](https://github.com/cksource/umberto/commit/fcefc18))


## [1.1.2](https://github.com/cksource/umberto/compare/v1.1.1...v1.1.2) (2019-08-21)

### Bug fixes

* Support for RTL lists. ([3d6537a](https://github.com/cksource/umberto/commit/3d6537a))


## [1.1.1](https://github.com/cksource/umberto/compare/v1.1.0...v1.1.1) (2019-07-30)

### Bug fixes

* Removed resetting `list-style` type to none. Closes [#814](https://github.com/cksource/umberto/issues/814). ([41a4a49](https://github.com/cksource/umberto/commit/41a4a49))
* The double ending brackets `}}` won't be replaced with `{% raw|endraw %}` tags if they are followed by `%`. Closes [#811](https://github.com/cksource/umberto/issues/811). ([6a56d0e](https://github.com/cksource/umberto/commit/6a56d0e))

### Other changes

* Added styles for `<abbr>` element. Closes [#696](https://github.com/cksource/umberto/issues/696). ([f7a748a](https://github.com/cksource/umberto/commit/f7a748a))
* Updated dependencies and releasing scripts. ([6b2066a](https://github.com/cksource/umberto/commit/6b2066a))


## [1.1.0](https://github.com/cksource/umberto/compare/v1.0.0...v1.1.0) (2019-07-15)

### Features

* Introduced an option for customizing a "Contribute to guide" URL. Now you can specify the URL as `github.contributeUrl` in the `umberto.json` file. Closes [#773](https://github.com/cksource/umberto/issues/773). ([5498786](https://github.com/cksource/umberto/commit/5498786))
* Introduced an option for customizing a "Report an issue" URL. Now you can specify the URL as `github.reportIssueUrl` in the `umberto.json` file. Closes [#772](https://github.com/cksource/umberto/issues/772). ([dfafa75](https://github.com/cksource/umberto/commit/dfafa75))
* Introduced support for highlighting snippets wrote in Java. Closes [#806](https://github.com/cksource/umberto/issues/806). ([844ad5b](https://github.com/cksource/umberto/commit/844ad5b))

### Bug fixes

* Correctly wrap an excerpt of API item. Closes [#791](https://github.com/cksource/umberto/issues/791). ([691ddee](https://github.com/cksource/umberto/commit/691ddee))
* Deprecated items will be displayed properly at API pages. Closes [#799](https://github.com/cksource/umberto/issues/799). ([e3e329b](https://github.com/cksource/umberto/commit/e3e329b))
* Properties defined as `@typedef` will have a proper anchor. Closes [#796](https://github.com/cksource/umberto/issues/796). ([da9a3f0](https://github.com/cksource/umberto/commit/da9a3f0))
* Table should be displayed properly with a code block. Closes [#794](https://github.com/cksource/umberto/issues/794). ([ce36599](https://github.com/cksource/umberto/commit/ce36599))


## [1.0.0](https://github.com/cksource/umberto/compare/v0.23.1...v1.0.0) (2019-04-23)

### Features

* Improved a mechanism that builds snippets for a specified project. Instead of calling this function n-times, now it will be called once per projects. It should not produce out of memory error anymore. Closes [#749](https://github.com/cksource/umberto/issues/749). ([9adf5fa](https://github.com/cksource/umberto/commit/9adf5fa))

  The `SnippetAdapter` function is being called with 3 parameters and it must return an instance of `Promise`:
  1. `snippetsCollection` which is a collection of snippets (pure JavaScript objects) that Umberto found in Markdown files. See `scripts/filter/after-post-render/snippets.js` in order to read the type definition. It is placed at the end of the file.
  2. `snippetOptions` which is an object that is being passed to Umberto at the beginning of the script.
  3. `umbertoHelpers` which is an object that contains helpers that can be useful for parsing snippets.


## [0.23.1](https://github.com/cksource/umberto/compare/v0.23.0...v0.23.1) (2019-04-17)

### Bug fixes

* `See source` link should be displayed properly. Closes [#788](https://github.com/cksource/umberto/issues/788).


## [0.23.0](https://github.com/cksource/umberto/compare/v0.22.0...v0.23.0) (2019-04-11)

### Features

* Changed the lightbox library to the `medium-zoom`. Closes [#781](https://github.com/cksource/umberto/issues/781). ([c5e47c4](https://github.com/cksource/umberto/commit/c5e47c4))

### Bug fixes

* Excerpt of API expanded item should be displayed properly. Closes [#784](https://github.com/cksource/umberto/issues/784). ([5b433fc](https://github.com/cksource/umberto/commit/5b433fc))


## [0.22.0](https://github.com/cksource/umberto/compare/v0.21.0...v0.22.0) (2019-04-01)

### Features

* Lightbox will be enabled by default for the `@{img}` tag. Closes [#771](https://github.com/cksource/umberto/issues/771). ([886f247](https://github.com/cksource/umberto/commit/886f247))

### Other changes

* Added the `CHANGELOG.md` file which contains entries downloaded from the "Releases" section from Github. Introduced release tools that automate the releasing process. Closes [#767](https://github.com/cksource/umberto/issues/767). ([f22e02f](https://github.com/cksource/umberto/commit/f22e02f))


## [0.21.0](https://github.com/cksource/umberto/compare/v0.20.1...v0.21.0) (2019-03-25)

### Minor

* [#769](https://github.com/cksource/umberto/issues/769) - Remove and update dependencies
* [#763](https://github.com/cksource/umberto/issues/763) - Add lightbox


## [0.20.1](https://github.com/cksource/umberto/compare/v0.20.0...v0.20.1) (2019-02-28)

### Patch

* [#759](https://github.com/cksource/umberto/issues/759) update highlight.js to support YAML and SQL syntax


## [0.20.0](https://github.com/cksource/umberto/compare/v0.19.3...v0.20.0) (2019-02-27)

### Minor

* [#710](https://github.com/cksource/umberto/issues/710) Feedback widget implementation

### Patch

* [#753](https://github.com/cksource/umberto/issues/753) Fix unrecognized syntax for C#
* [#751](https://github.com/cksource/umberto/issues/751) Prevent of bug for wrong GH links
* [#638](https://github.com/cksource/umberto/issues/638) Disabled github header buttons on mobile devices


## [0.19.3](https://github.com/cksource/umberto/compare/v0.19.2...v0.19.3) (2019-02-18)

### Patch

* Fix bug with variables used for single projects. Related to [#697](https://github.com/cksource/umberto/issues/697) and https://github.com/ckeditor/ckeditor-docs/pull/205


## [0.19.2](https://github.com/cksource/umberto/compare/v0.19.1...v0.19.2) (2019-02-15)

### Patch

* [#738](https://github.com/cksource/umberto/issues/738) Improved "See source" link appearance
* [#745](https://github.com/cksource/umberto/issues/745) Fix bug with missing link for CKEditor4 docs
* [#729](https://github.com/cksource/umberto/issues/729) Remove highlight from search window


## [0.19.1](https://github.com/cksource/umberto/compare/v0.19.0...v0.19.1) (2019-02-08)

### Patch

* [#735](https://github.com/cksource/umberto/issues/735) Update footer date
* [#739](https://github.com/cksource/umberto/issues/739) Remove "Overrides" link
* [#673](https://github.com/cksource/umberto/issues/673) Fix problem with navigation, which could display empty categories


## [0.19.0](https://github.com/cksource/umberto/compare/v0.18.0...v0.19.0) (2019-02-01)

### Minor

* [#629](https://github.com/cksource/umberto/issues/629) Simplify dependencies - remove postinstall script

### Patch

* [#730](https://github.com/cksource/umberto/issues/730) Improve way how git hash are obtained


## [0.18.0](https://github.com/cksource/umberto/compare/v0.17.0...v0.18.0) (2019-01-25)

### Minor

* [#357](https://github.com/cksource/umberto/issues/357) Added observable icon for API badge.
* [#688](https://github.com/cksource/umberto/issues/688) Add "related" section to methods and properties description.

### Patch

* [#494](https://github.com/cksource/umberto/issues/494) Long words in titles should be broken.
* [#720](https://github.com/cksource/umberto/issues/720) Dark theme API docs visual issues


## [0.17.0](https://github.com/cksource/umberto/compare/v0.16.1...v0.17.0) (2019-01-18)

### Minor

* [#721](https://github.com/cksource/umberto/issues/721) Define printing styles
* [#337](https://github.com/cksource/umberto/issues/337) Add link to GitHub from which given API docs are generated

### Patch

* [#723](https://github.com/cksource/umberto/issues/723) Fix: Increased spacing for a product menu item


## [0.16.1](https://github.com/cksource/umberto/compare/v0.16.0...v0.16.1) (2019-01-10)

### Patch

* [#711](https://github.com/cksource/umberto/issues/711) - Make API entries visible by default
* [#715](https://github.com/cksource/umberto/issues/715) - Correct style for CKE4 examples
* [#713](https://github.com/cksource/umberto/issues/713) - Fix search in Examples of CKEditor4
* [#709](https://github.com/cksource/umberto/issues/709), [#707](https://github.com/cksource/umberto/issues/707) - Dark theme improvements


## [0.16.0](https://github.com/cksource/umberto/compare/v0.15.0...v0.16.0) (2018-12-21)

### Minor

* [#706](https://github.com/cksource/umberto/issues/706) Introduced dark mode


## [0.15.0](https://github.com/cksource/umberto/compare/v0.14.0...v0.15.0) (2018-12-21)

### Minor

* [#597](https://github.com/cksource/umberto/issues/597) - Introduce `<blockquote>` styling
* [#697](https://github.com/cksource/umberto/issues/697) - Add macros and variables support in Umberto

### Patch

* [#690](https://github.com/cksource/umberto/issues/690) - Fixed: `Get Sample Source Code` with wrong offset
* [#567](https://github.com/cksource/umberto/issues/567) - Fixed: Parameters are not displayed in properties of a class


## [0.14.0](https://github.com/cksource/umberto/compare/v0.13.4...v0.14.0) (2018-12-07)

### Minor

* [#695](https://github.com/cksource/umberto/issues/695) - Provide support for custom tags in Examples, to have better control over code outputted as "Get source code"


## [0.13.4](https://github.com/cksource/umberto/compare/v0.13.3...v0.13.4) (2018-12-05)

### Patch

* [#687](https://github.com/cksource/umberto/issues/687) - Another approach to improve link styling for documentation inside CKE4 examples.


## [0.13.3](https://github.com/cksource/umberto/compare/v0.13.2...v0.13.3) (2018-12-05)

### Patch

* [#685](https://github.com/cksource/umberto/issues/685) Fix link validator to check also non-html files


## [0.13.2](https://github.com/cksource/umberto/compare/v0.13.1...v0.13.2) (2018-12-05)

### Patch

* [#681](https://github.com/cksource/umberto/issues/681) - improve styling of anchors in examples of CKEditor4
* [#683](https://github.com/cksource/umberto/issues/683) - Add support for tag with `linkexample` as replacement to former `linksdk`


## [0.13.1](https://github.com/cksource/umberto/compare/v0.13.0...v0.13.1) (2018-11-30)

### Patch

* [#678](https://github.com/cksource/umberto/issues/678) - Fix: Left navigation stop being scrolled
* Add source map for app.js


## [0.13.0](https://github.com/cksource/umberto/compare/v0.12.1...v0.13.0) (2018-11-30)

### Minor

* [#615](https://github.com/cksource/umberto/issues/615): Add option to build only one snippet
* [#611](https://github.com/cksource/umberto/issues/611), [#674](https://github.com/cksource/umberto/issues/674): Improve link validator to check hash fragment.

### Patch

* [#648](https://github.com/cksource/umberto/issues/648): Fix: missing required og tags on pages
* [#666](https://github.com/cksource/umberto/issues/666): Fix: misaligned search input on tablet width
* [#631](https://github.com/cksource/umberto/issues/631): Fix: highlighter issue, where not all languages was properly highlighted
* [#619](https://github.com/cksource/umberto/issues/619): Fix: Added extra top-margin to the main navigation
* [#563](https://github.com/cksource/umberto/issues/563): Fix: Enlarged link space in the API subheader.
* [#469](https://github.com/cksource/umberto/issues/469): Fix: Bolded method name in the API collapse list.


## [0.12.1](https://github.com/cksource/umberto/compare/v0.12.0...v0.12.1) (2018-11-20)

### Patch

* [#662](https://github.com/cksource/umberto/issues/662) - Fix: missing data attribute for Example pages for CKE4
* [#661](https://github.com/cksource/umberto/issues/661) - Fix: properly aligned hamburger menu without flex support
* [#626](https://github.com/cksource/umberto/issues/626) - Fix: Wrong css for code blocks in narrow screens


## [0.12.0](https://github.com/cksource/umberto/compare/v0.11.0...v0.12.0) (2018-11-27)

### Minor

* [#633](https://github.com/cksource/umberto/issues/633) [#634](https://github.com/cksource/umberto/issues/634) Feature: Introduced breadcrumbs for mobile design

### Patch

* [#639](https://github.com/cksource/umberto/issues/639) Fix: Improved design of mobile navigation menu.
* [#656](https://github.com/cksource/umberto/issues/656) Fix: Lack of navigation of SDK on mobile devices


## [0.11.0](https://github.com/cksource/umberto/compare/v0.10.0...v0.11.0) (2018-11-14)

### Minor

* [#616](https://github.com/cksource/umberto/issues/616) Provide option to hide linking errors for ignored projects

### Patch

* [#620](https://github.com/cksource/umberto/issues/620) Fixed: Some links don't have hover style in the navigation menu
* [#637](https://github.com/cksource/umberto/issues/637) Fixed: focus ring does not match searchbox on iOS
* [#625](https://github.com/cksource/umberto/issues/625) Fixed: highlighter doesn't work when docs was not served from `/docs` path


## [0.10.0](https://github.com/cksource/umberto/compare/v0.9.1...v0.10.0) (2018-11-09)

### Minor

* [#588](https://github.com/cksource/umberto/issues/588) - New mobile layout for Umberto


## [0.9.1](https://github.com/cksource/umberto/compare/v0.9.0...v0.9.1) (2018-11-09)

### Patch

* [#617](https://github.com/cksource/umberto/issues/617) - hotfix for top navigation to work properly with CKE5 snippets


## [0.9.0](https://github.com/cksource/umberto/compare/v0.8.2...v0.9.0) (2018-10-18)

### Minor

* [#595](https://github.com/cksource/umberto/issues/595) - add support for meta-description tag in API docs
* [#594](https://github.com/cksource/umberto/issues/594) - Extend meta tags with DC and twitter cards
* [#607](https://github.com/cksource/umberto/issues/607) - Update dependencies (webpack, babel, etc.), move highlighter to worker, what effects in reducing library size
* [#580](https://github.com/cksource/umberto/issues/580) - Introduce new docs design. Thanks to @dkonopka.


## [0.8.2](https://github.com/cksource/umberto/compare/v0.8.1...v0.8.2) (2018-10-05)

### Patch

* [#603](https://github.com/cksource/umberto/issues/603) - Fix wrongly created canonical urls.


## [0.8.1](https://github.com/cksource/umberto/compare/v0.8.0...v0.8.1) (2018-09-28)

### Patch

* [#585](https://github.com/cksource/umberto/issues/585) Update typography in headers.
* [#556](https://github.com/cksource/umberto/issues/556) Update year in footer
* [#8](https://github.com/cksource/umberto/issues/8) Add w3c validation flag which force Umberto to validate builded files
* [#559](https://github.com/cksource/umberto/issues/559) Add possibility to watch files after building documentation. Building process is not finishing and watch guides files for changes.


## [0.8.0](https://github.com/cksource/umberto/compare/v0.7.3...v0.8.0) (2018-09-07)

### Minor

* Allow on building Samples from CKEditor4 (https://github.com/ckeditor/ckeditor-sdk/issues/259)

### Patch

* [#581](https://github.com/cksource/umberto/issues/581) - Fix: wrong link generation for `@fire` keywords


## [0.7.3](https://github.com/cksource/umberto/compare/v0.7.2...v0.7.3) (2018-08-30)

### Patch

* [#579](https://github.com/cksource/umberto/issues/579) - double curly brackets are now escaped during markdown files processing.


## [0.7.2](https://github.com/cksource/umberto/compare/v0.7.1...v0.7.2) (2018-08-06)

### Patch

* [#573](https://github.com/cksource/umberto/issues/573) - remove unnecessary bracket in code
* [#575](https://github.com/cksource/umberto/issues/575) - fix wrongly created canonical paths together with og image


## [0.7.1](https://github.com/cksource/umberto/compare/v0.7.0...v0.7.1) (2018-08-02)

### Patch

* [#569](https://github.com/cksource/umberto/issues/569) - Fix API navigation styling


## [0.7.0](https://github.com/cksource/umberto/compare/v0.6.4...v0.7.0) (2018-07-30)

### Minor

* [#538](https://github.com/cksource/umberto/issues/538) - add different table of content styling
* [#568](https://github.com/cksource/umberto/issues/568)  - add support of Google Tag Manager


## [0.6.4](https://github.com/cksource/umberto/compare/v0.6.3...v0.6.4) (2018-07-24)

### Patch

* [#548](https://github.com/cksource/umberto/issues/548) - Symlinks are now created as relative paths
* [#549](https://github.com/cksource/umberto/issues/549) - `app-polyfill.js` is now skipped when dev flag is turned on
* [#560](https://github.com/cksource/umberto/issues/560) - update documentation with information about possibility of redirects
* [#552](https://github.com/cksource/umberto/issues/552) - fix alignment of dropdown navigation
* [#558](https://github.com/cksource/umberto/issues/558) - fix encoding entities in codeblock
* [#561](https://github.com/cksource/umberto/issues/561) - fix styling in search box


## [0.6.3](https://github.com/cksource/umberto/compare/v0.6.2...v0.6.3) (2018-07-03)

### Patch

* [#550](https://github.com/cksource/umberto/issues/550) - Fix order of guides displayed in navigation tree.


## [0.6.2](https://github.com/cksource/umberto/compare/v0.6.1...v0.6.2) (2018-07-02)

### Patch

* [#547](https://github.com/cksource/umberto/issues/547) - correct bug where navigation tree had bad template, what caus scrolling issue for navigation tree.


## [0.6.1](https://github.com/cksource/umberto/compare/v0.6.0...v0.6.1) (2018-06-28)

### Patch

* [#537](https://github.com/cksource/umberto/issues/537) - provide better time measurements during building process showed after activating `verbose` option.
* [#551](https://github.com/cksource/umberto/issues/551) - prevent of throwing error when links are created between projects in single builds


## [0.6.0](https://github.com/cksource/umberto/compare/v0.5.0...v0.6.0) (2018-06-08)

### Features

[#505](https://github.com/cksource/umberto/issues/505) - Provide shortcut <kbd>Shift</kbd>+<kbd>D</kbd> for displaying longnames in documentation.

### Patch

[#351](https://github.com/cksource/umberto/issues/351) - Align npm badge to the left.
[#540](https://github.com/cksource/umberto/issues/540) - Replace font to look nicer.


## [0.5.0](https://github.com/cksource/umberto/compare/v0.4.9...v0.5.0) (2018-05-17)

### Features

* [#451](https://github.com/cksource/umberto/issues/451) - add dropdown menu with properties/methods/events.
* links for `latest` will be now generated automatically.

### Bug fixes

* [#479](https://github.com/cksource/umberto/issues/479) - correct color of info-boxes in guides.
* [#328](https://github.com/cksource/umberto/issues/328) - correct position of expand arrow.


## [0.4.9](https://github.com/cksource/umberto/compare/v0.4.7...v0.4.9) (2018-04-27)

* [#530](https://github.com/cksource/umberto/issues/530) - add possibility to output symbolic links with `latest`.


## [0.4.7](https://github.com/cksource/umberto/compare/v0.4.6...v0.4.7) (2018-04-26)

### Patch

* [#532](https://github.com/cksource/umberto/issues/532) - Add configuration option `startPage` which will be used as links in dropdown menu for given project.


## [0.4.6](https://github.com/cksource/umberto/compare/v0.4.5...v0.4.6) (2018-04-23)

### Patch

[#529](https://github.com/cksource/umberto/issues/529) - Fix highlighting of active element in navigation tree


## [0.4.5](https://github.com/cksource/umberto/compare/v0.4.4...v0.4.5) (2018-04-20)

### Patch

* [#527](https://github.com/cksource/umberto/issues/527) - Allow to override or disable default `contributeUrl` and `issuesUrl` in specific guides.


## [0.4.4](https://github.com/cksource/umberto/compare/v0.4.3...v0.4.4) (2018-04-19)

### Patch

* [#516](https://github.com/cksource/umberto/issues/516) - Add library with polyfill for browsers which doesn't support es6.


## [0.4.3](https://github.com/cksource/umberto/compare/v0.4.2...v0.4.3) (2018-04-18)

### Patch

* [#522](https://github.com/cksource/umberto/issues/522) - Umberto will now rethrow hexo errors in non-verbose mode.
* [#523](https://github.com/cksource/umberto/issues/523) - Empty categories won't be created in navigation tree.


## [0.4.2](https://github.com/cksource/umberto/compare/v0.4.1...v0.4.2) (2018-04-17)

### Patch

*  [#524](https://github.com/cksource/umberto/issues/524) - Allow on publish documentation from multiple locations.


## [0.4.1](https://github.com/cksource/umberto/compare/v0.4.0...v0.4.1) (2018-04-13)

### Patch

* [#499](https://github.com/cksource/umberto/issues/499) - IDs of `<h2>` sections are now lowercase.
* [#450](https://github.com/cksource/umberto/issues/450) - Add little space between hamburger and project title.
* [#465](https://github.com/cksource/umberto/issues/465) - Location.hash is now updated when member on page is clicked.


## [0.4.0](https://github.com/cksource/umberto/compare/v0.3.67...v0.4.0) (2018-03-16)

### Minor

* [#427](https://github.com/cksource/umberto/issues/427) - Provide possibility to make `sitemap.xml`
* [#509](https://github.com/cksource/umberto/issues/509) - Allow on escaping links in guides
* [#511](https://github.com/cksource/umberto/issues/511) - Add verbose parameter, by default Umberto will now hide most of the non-error messages.

### Patches

* [#508](https://github.com/cksource/umberto/issues/508) - Improve styling for `<em>`
* [#507](https://github.com/cksource/umberto/issues/507) - Links to non-existing doclets now threw an error
* [#512](https://github.com/cksource/umberto/issues/512) - Cross-project links are not transformed in single project
* [#504](https://github.com/cksource/umberto/issues/504) - Filter out duplicated methods generated in JSDoc

### Other

* Update `.gitignore` to ignore all hidden files/folder
* Bump hexo version to `3.6.0`


## [0.3.67](https://github.com/cksource/umberto/compare/v0.3.66...v0.3.67) (2018-03-05)

Fixed:
[#498](https://github.com/cksource/umberto/issues/498)
[#500](https://github.com/cksource/umberto/issues/500)


## [0.3.66](https://github.com/cksource/umberto/compare/v0.3.61...v0.3.66) (2018-02-21)

Fixed:
[#475](https://github.com/cksource/umberto/issues/475)
[#491](https://github.com/cksource/umberto/issues/491)
[#487](https://github.com/cksource/umberto/issues/487)


## [0.3.61](https://github.com/cksource/umberto/compare/v0.3.60...v0.3.61) (2018-02-09)

* Corrections to API docs search,
* Added bunch of source code comments.


## [0.3.60](https://github.com/cksource/umberto/compare/v0.3.55...v0.3.60) (2018-02-05)

Hotfixed [#472](https://github.com/cksource/umberto/issues/472)


## [0.3.55](https://github.com/cksource/umberto/compare/v0.3.54...v0.3.55) (2018-02-01)

Introduced enhanced search for API docs.


## [0.3.54](https://github.com/cksource/umberto/compare/v0.3.53...v0.3.54) (2018-01-23)

Closed [#436](https://github.com/cksource/umberto/issues/436)


## [0.3.53](https://github.com/cksource/umberto/compare/v0.3.51...v0.3.53) (2018-01-22)

Closed [#447](https://github.com/cksource/umberto/issues/447) .
Added support for extended typedefs.


## [0.3.51](https://github.com/cksource/umberto/compare/v0.3.49...v0.3.51) (2018-01-18)

Closed issues:

[#432](https://github.com/cksource/umberto/issues/432)
[#433](https://github.com/cksource/umberto/issues/433)
[#434](https://github.com/cksource/umberto/issues/434)
[#441](https://github.com/cksource/umberto/issues/441)
[#442](https://github.com/cksource/umberto/issues/442)



## [0.3.49](https://github.com/cksource/umberto/compare/v0.3.48...v0.3.49) (2018-01-16)

Closes issues:
[#410](https://github.com/cksource/umberto/issues/410)
[#422](https://github.com/cksource/umberto/issues/422)
[#425](https://github.com/cksource/umberto/issues/425)


## [0.3.48](https://github.com/cksource/umberto/compare/v0.3.47...v0.3.48) (2018-01-10)

Fixed [#419](https://github.com/cksource/umberto/issues/419)


## [0.3.47](https://github.com/cksource/umberto/compare/v0.3.42...v0.3.47) (2018-01-09)

Fixed: [#347](https://github.com/cksource/umberto/issues/347), [#398](https://github.com/cksource/umberto/issues/398), [#411](https://github.com/cksource/umberto/issues/411)

Fixed Typedefs rendering


## [0.3.42](https://github.com/cksource/umberto/compare/v0.3.41...v0.3.42) (2017-12-15)

Fixed [#391](https://github.com/cksource/umberto/issues/391), [#392](https://github.com/cksource/umberto/issues/392)


## [0.3.41](https://github.com/cksource/umberto/compare/v0.3.40...v0.3.41) (2017-12-14)

Fixed [#392](https://github.com/cksource/umberto/issues/392)


## [0.3.40](https://github.com/cksource/umberto/compare/v0.3.39...v0.3.40) (2017-11-24)

* Marking items in ToC improved
* Code optimizations


## [0.3.39](https://github.com/cksource/umberto/compare/v0.3.38...v0.3.39) (2017-11-21)

* Adding favicons [#378](https://github.com/cksource/umberto/issues/378)
* Tracking article position in table of contents [#188](https://github.com/cksource/umberto/issues/188)
* Build optimizations


## [0.3.38](https://github.com/cksource/umberto/compare/v0.3.37...v0.3.38) (2017-11-11)

Module pages which only link to classes etc are ranked lower in search results by default.


## [0.3.37](https://github.com/cksource/umberto/compare/v0.3.35...v0.3.37) (2017-10-31)

* Added link to GitHub [#367](https://github.com/cksource/umberto/issues/367),
* Added custom ranking to search results.


## [0.3.35](https://github.com/cksource/umberto/compare/v0.3.34...v0.3.35) (2017-10-26)

Improved searching:

* Displaying some results for every category, if available,
* Scrolling search results,
* Added possibility to change page's rank.


## [0.3.34](https://github.com/cksource/umberto/compare/v0.3.33...v0.3.34) (2017-10-18)

Resizing top menu on narrow screens.


## [0.3.33](https://github.com/cksource/umberto/compare/v0.3.32...v0.3.33) (2017-10-11)

* Disabled search boosting temporarily as it doesn't work as expected


## [0.3.32](https://github.com/cksource/umberto/compare/v0.3.31...v0.3.32) (2017-10-11)

* Support for "observables", [#338](https://github.com/cksource/umberto/issues/338)
* Fixed link validation, [#356](https://github.com/cksource/umberto/issues/356)
* Changes related to DocSearch


## [0.3.31](https://github.com/cksource/umberto/compare/v0.3.30...v0.3.31) (2017-10-06)

Closed [#304](https://github.com/cksource/umberto/issues/304).


## [0.3.30](https://github.com/cksource/umberto/compare/v0.3.29...v0.3.30) (2017-10-04)

Closed issues:
* [#346](https://github.com/cksource/umberto/issues/346)
* [#350](https://github.com/cksource/umberto/issues/350)

Fixed 404 page


## [0.3.29](https://github.com/cksource/umberto/compare/v0.3.28...v0.3.29) (2017-10-04)

Closed:
* [#348](https://github.com/cksource/umberto/issues/348)


## [0.3.28](https://github.com/cksource/umberto/compare/v0.3.27...v0.3.28) (2017-10-03)

Closed issues:
* [#291](https://github.com/cksource/umberto/issues/291)
* [#343](https://github.com/cksource/umberto/issues/343)


## [0.3.27](https://github.com/cksource/umberto/compare/v0.3.26...v0.3.27) (2017-10-03)

Closes issues:
* [#327](https://github.com/cksource/umberto/issues/327)
* [#340](https://github.com/cksource/umberto/issues/340)
* https://github.com/ckeditor/ckeditor5/issues/575


## [0.3.26](https://github.com/cksource/umberto/compare/v0.3.25...v0.3.26) (2017-09-29)

Closed issues:
* [#324](https://github.com/cksource/umberto/issues/324)
* [#329](https://github.com/cksource/umberto/issues/329)


## [0.3.25](https://github.com/cksource/umberto/compare/v0.3.24...v0.3.25) (2017-09-28)

Closed issues:
* [#308](https://github.com/cksource/umberto/issues/308)
* [#272](https://github.com/cksource/umberto/issues/272)
* [#67](https://github.com/cksource/umberto/issues/67)


## [0.3.24](https://github.com/cksource/umberto/compare/v0.3.23...v0.3.24) (2017-09-26)

* Google Analytics support,
* Fixed [#320](https://github.com/cksource/umberto/issues/320)


## [0.3.23](https://github.com/cksource/umberto/compare/v0.3.22...v0.3.23) (2017-09-22)

* Improved project switcher
* Added `sitenav: false` option to front-matter
* Made search box label contextual


## [0.3.22](https://github.com/cksource/umberto/compare/v0.3.21...v0.3.22) (2017-09-22)

New:
* `disableSearch: true` option supported by `umberto.json` which removes search box per project,
* Umberto supports `production: true` option allowing to minify javascript


## [0.3.21](https://github.com/cksource/umberto/compare/v0.3.18...v0.3.21) (2017-09-20)

Changes required for home page support in multi-docs scenario.


## [0.3.18](https://github.com/cksource/umberto/compare/v0.3.17...v0.3.18) (2017-09-20)

Closes issues:
* [#297](https://github.com/cksource/umberto/issues/297)
* [#301](https://github.com/cksource/umberto/issues/301)
* [#302](https://github.com/cksource/umberto/issues/302)
* [#303](https://github.com/cksource/umberto/issues/303)


## [0.3.17](https://github.com/cksource/umberto/compare/v0.3.16...v0.3.17) (2017-09-18)

Restyled GitHub contribution links.


## [0.3.16](https://github.com/cksource/umberto/compare/v0.3.15...v0.3.16) (2017-09-14)

New:
Different Docsearch scripts per page depending on documentation group (API, Builds etc). Meaning that when searching from Builds group, search results from Builds will be displayed higher.

Fixed:
* [#269](https://github.com/cksource/umberto/issues/269)
* [#275](https://github.com/cksource/umberto/issues/275)
* [#283](https://github.com/cksource/umberto/issues/283)
* [#292](https://github.com/cksource/umberto/issues/292)


## [0.3.15](https://github.com/cksource/umberto/compare/v0.3.14...v0.3.15) (2017-09-11)

Changed DocSearch theme.


## [0.3.14](https://github.com/cksource/umberto/compare/v0.3.13...v0.3.14) (2017-09-07)

New:
* Make project version available as a variable inside guides. Closes [#279](https://github.com/cksource/umberto/issues/279).
* Allow building snippets as dependencies of other snippets.


## [0.3.13](https://github.com/cksource/umberto/compare/v0.3.12...v0.3.13) (2017-09-05)

Closed issues:
* [#262](https://github.com/cksource/umberto/issues/262)
* [#274](https://github.com/cksource/umberto/issues/274)


## [0.3.12](https://github.com/cksource/umberto/compare/v0.3.10...v0.3.12) (2017-09-04)

New:
* Link validation after build,
* Supporting links to guides in API docs,
* Styles for tables.

Closed issues:
* [#267](https://github.com/cksource/umberto/issues/267),
* [#270](https://github.com/cksource/umberto/issues/270),
* [#126](https://github.com/cksource/umberto/issues/126).



## [0.3.10](https://github.com/cksource/umberto/compare/v0.3.8...v0.3.10) (2017-08-29)

Fixed [#259](https://github.com/cksource/umberto/issues/259)


## [0.3.8](https://github.com/cksource/umberto/compare/v0.3.7...v0.3.8) (2017-08-25)

Added ids and links to Properties, Methods etc headings to see how it improves search experience.

Fixed:
[#255](https://github.com/cksource/umberto/issues/255)


## [0.3.7](https://github.com/cksource/umberto/compare/v0.3.6...v0.3.7) (2017-08-24)

Changed to liveSnippets generator.

Fixed:
* [#250](https://github.com/cksource/umberto/issues/250)
* [#252](https://github.com/cksource/umberto/issues/252)


## [0.3.6](https://github.com/cksource/umberto/compare/v0.3.5...v0.3.6) (2017-08-23)

Changes to liveSnippets:
* enabled snippetOptions,
* fixed --skip-snippets mode


## [0.3.5](https://github.com/cksource/umberto/compare/v0.3.4...v0.3.5) (2017-08-21)

Fixed [#243](https://github.com/cksource/umberto/issues/243)


## [0.3.4](https://github.com/cksource/umberto/compare/v0.3.3...v0.3.4) (2017-08-21)

* Removed some unwanted files which got into npm package before,
* Added possibility to extend default theme,
* Fixed [#225](https://github.com/cksource/umberto/issues/225)



## [0.3.3](https://github.com/cksource/umberto/compare/v0.3.2...v0.3.3) (2017-08-18)

Fixed issues:
* [#54](https://github.com/cksource/umberto/issues/54)
* [#216](https://github.com/cksource/umberto/issues/216)
* [#218](https://github.com/cksource/umberto/issues/218)
* [#205](https://github.com/cksource/umberto/issues/205)
* [#147](https://github.com/cksource/umberto/issues/147)
* [#220](https://github.com/cksource/umberto/issues/220)
* [#214](https://github.com/cksource/umberto/issues/214)
* [#146](https://github.com/cksource/umberto/issues/146)
* [#204](https://github.com/cksource/umberto/issues/204)
* [#203](https://github.com/cksource/umberto/issues/203)
* [#223](https://github.com/cksource/umberto/issues/223)
* [#134](https://github.com/cksource/umberto/issues/134)
* [#230](https://github.com/cksource/umberto/issues/230)
* [#217](https://github.com/cksource/umberto/issues/217)
* [#221](https://github.com/cksource/umberto/issues/221)
* [#222](https://github.com/cksource/umberto/issues/222)
* [#219](https://github.com/cksource/umberto/issues/219)
* [#237](https://github.com/cksource/umberto/issues/237)


## [0.3.2](https://github.com/cksource/umberto/compare/v0.3.1...v0.3.2) (2017-08-09)

More layout changes,
Closed issues:
* [#213](https://github.com/cksource/umberto/issues/213)
* [#187](https://github.com/cksource/umberto/issues/187)
* [#145](https://github.com/cksource/umberto/issues/145)
* [#148](https://github.com/cksource/umberto/issues/148)
* [#198](https://github.com/cksource/umberto/issues/198)


## [0.3.1](https://github.com/cksource/umberto/compare/v0.3.0...v0.3.1) (2017-08-08)

* More layout changes
* Fixed some html issues


## [0.3.0](https://github.com/cksource/umberto/compare/v0.2.25...v0.3.0) (2017-08-07)

* Layout changes: improved table of contents, notice boxes, updated API docs look and more,
* [#181](https://github.com/cksource/umberto/issues/181)
* [#68](https://github.com/cksource/umberto/issues/68)
* [#191](https://github.com/cksource/umberto/issues/191)
* [#189](https://github.com/cksource/umberto/issues/189)
* [#193](https://github.com/cksource/umberto/issues/193)
* [#192](https://github.com/cksource/umberto/issues/192)
* [#183](https://github.com/cksource/umberto/issues/183)
* [#184](https://github.com/cksource/umberto/issues/184)
* [#185](https://github.com/cksource/umberto/issues/185)



## [0.2.25](https://github.com/cksource/umberto/compare/v0.2.24...v0.2.25) (2017-07-25)

Allow copying common files like `robots.txt` to root directory of multi project build.


## [0.2.24](https://github.com/cksource/umberto/compare/v0.2.20...v0.2.24) (2017-07-25)

Fixed issues with building a "simple" projects (one-pagers containing only index.md file)


## [0.2.20](https://github.com/cksource/umberto/compare/v0.2.18...v0.2.20) (2017-07-11)

Changelog:
* Changed snippets output directory (Fixing: https://github.com/CKEditor5/ckeditor5.github.io/issues/34)
* Changed directory structure of doc pages and assets to include project versions.


## [0.2.18](https://github.com/cksource/umberto/compare/v0.2.17...v0.2.18) (2017-07-05)

New feature:
* Added Algolia DocSearch support


## [0.2.17](https://github.com/cksource/umberto/compare/v0.2.15...v0.2.17) (2017-07-04)

New feature:
* Support for live snippets.


## [0.2.15](https://github.com/cksource/umberto/compare/v0.2.13...v0.2.15) (2017-07-04)

Fixed issues:
* [#136](https://github.com/cksource/umberto/issues/136)
* [#159](https://github.com/cksource/umberto/issues/159)

Internal:
* Some refactoring
* Updated README


## [0.2.13](https://github.com/cksource/umberto/compare/v0.2.12...v0.2.13) (2017-06-28)

Internal changes:
* Refactored templates
* Changed building process


## [0.2.12](https://github.com/cksource/umberto/compare/v0.2.11...v0.2.12) (2017-06-26)

Fixed issues:
* [#46](https://github.com/cksource/umberto/issues/46)
* Minor code block link styling


## [0.2.11](https://github.com/cksource/umberto/compare/v0.2.10...v0.2.11) (2017-06-23)

Patch:
* Fixed minor code block styling issue.


## [0.2.10](https://github.com/cksource/umberto/compare/v0.2.9...v0.2.10) (2017-06-23)

Fixed issues:
* [#91](https://github.com/cksource/umberto/issues/91)
* [#92](https://github.com/cksource/umberto/issues/92)
* [#109](https://github.com/cksource/umberto/issues/109)
* [#116](https://github.com/cksource/umberto/issues/116)
* [#130](https://github.com/cksource/umberto/issues/130)
* [#143](https://github.com/cksource/umberto/issues/143)
* [#154](https://github.com/cksource/umberto/issues/154)


## [0.2.9](https://github.com/cksource/umberto/compare/v0.2.8...v0.2.9) (2017-06-19)

Fixed issues:
* [#108](https://github.com/cksource/umberto/issues/108)
* [#149](https://github.com/cksource/umberto/issues/149)
* [#153](https://github.com/cksource/umberto/issues/153)


## [0.2.8](https://github.com/cksource/umberto/compare/v0.2.7...v0.2.8) (2017-06-09)

Fixed issues:
* [#52](https://github.com/cksource/umberto/issues/52)
* [#119](https://github.com/cksource/umberto/issues/119)
* [#129](https://github.com/cksource/umberto/issues/129)
* [#131](https://github.com/cksource/umberto/issues/131)


## [0.2.7](https://github.com/cksource/umberto/compare/v0.2.6...v0.2.7) (2017-06-07)

Fixed [#114](https://github.com/cksource/umberto/issues/114) Improve subclasses/hierarchy/mixes panel in the API docs.


## [0.2.6](https://github.com/cksource/umberto/compare/v0.2.0...v0.2.6) (2017-05-31)

Fixed issues:
* [#120](https://github.com/cksource/umberto/issues/120) Headings in API docs are not styled.
* [#124](https://github.com/cksource/umberto/issues/124) Fix backtick code blocks.


## [0.2.0](https://github.com/cksource/umberto/compare/v0.1.1...v0.2.0) (2017-05-18)

Published on npm v0.2.0

Fixed issues:
* [#56](https://github.com/cksource/umberto/issues/56) Poor class list styling.
* [#86](https://github.com/cksource/umberto/issues/86) Add "Inherited" label next to properties.
* [#87](https://github.com/cksource/umberto/issues/87) Navigation tree is expanded on api docs index page.
* [#90](https://github.com/cksource/umberto/issues/90) Support links to API docs in guides.
* [#97](https://github.com/cksource/umberto/issues/97) Add support for namespaces and constants.


## [0.1.1](https://github.com/cksource/umberto/compare/v0.1.0...v0.1.1) (2017-05-11)

Published on npm v0.1.1

Fixed issues:
* [#50](https://github.com/cksource/umberto/issues/50) The font used for the docs renders terribly on non-retina
* [#51](https://github.com/cksource/umberto/issues/51) Backgrounds of preformatted text overlap
* [#59](https://github.com/cksource/umberto/issues/59) "event:" prefix should be removed from event names
* [#65](https://github.com/cksource/umberto/issues/65) Protected/private filter doesn't work for inherited properties
* [#69](https://github.com/cksource/umberto/issues/69) Sidebar of API docs should have separate scroll


## [0.1.0](https://github.com/cksource/umberto/releases/tag/v0.1.0) (2017-05-09)

Published on npm v0.1.0

Fixed issues:

* [#49](https://github.com/cksource/umberto/issues/49) The heading looks really out of place
* [#58](https://github.com/cksource/umberto/issues/58) Filter options are not remembered
* [#62](https://github.com/cksource/umberto/issues/62) Module names are incorrectly parsed
* [#66](https://github.com/cksource/umberto/issues/66) Pages miss <title>
* [#70](https://github.com/cksource/umberto/issues/70) Directories should be listed before packages
