/**
 * @license Copyright (c) 2017-2025, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md.
 */

'use strict';

const transformInfoBox = require( '../../utils/transforminfobox' );

/**
 * Replaces <info-box> tags with notice box HTML.
 * Tag syntax is <info-box type>Content</info-box>.
 */
hexo.extend.filter.register( 'before_post_render', data => {
	return transformInfoBox( data, hexo );
} );
