/**
 * @license Copyright (c) 2017-2025, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md.
 */

'use strict';

module.exports = ( ctx, customConfig ) => {
	ctx.extend.filter.register( 'after_init', () => {
		ctx.config = Object.assign( ctx.config, customConfig );
		// jscs:disable
		ctx.public_dir = customConfig.public_dir;
		// jscs:enable
	} );
};
