/**
 * @license Copyright (c) 2017-2025, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md.
 */

'use strict';

const parseIconTag = require( '../../utils/parseicontag' );

/**
 * Syntax: `{@icon [@projectName] path/to/icon}`.
 */
hexo.extend.filter.register( 'after_post_render', page => {
	return parseIconTag( page, hexo );
} );
