/**
 * @license Copyright (c) 2017-2025, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md.
 */

'use strict';

hexo.extend.helper.register( 'getPagesForNavTree', ( id, projectName ) => {
	return function( p ) {
		return p.category === id && p.projectName === projectName && p.path.indexOf( 'index.html' ) < 0;
	};
} );
