/**
 * @license Copyright (c) 2017-2025, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md.
 */

'use strict';

/**
 * Checks if value is a non-empty Array.
 * @param arr
 * @returns {boolean}
 */
module.exports = arr => {
	return Array.isArray( arr ) && arr.length > 0;
};
